Subject: Re: [RFC net-next 0/5] devlink: Add unique identifier to devlink port function

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 May 2025 17:39:22 -0700

On Tue, 29 Apr 2025 11:37:51 +0300 Moshe Shemesh wrote:
> >> UUID is limited, like it has to be 128 bits, while here it is variable
> >> length up to the vendor.
> >> We would like to keep it flexible per vendor. If vendor wants to use
> >> UUID here, it will work too.  
> > 
> > Could you please provide at least one clear user scenario for
> > the discussion? Matching up the ports to function is presumably
> > a means to an end for the user.  
> 
> Sure. Multi-host system with smart-NIC, on the smart-NIC internal host 
> we will see a representor for each PF on each of the external hosts.
> However, we can't tell which representor belongs to which host. 
> Actually, each host doesn't know about the others or where it is in the 
> topology. The function uid can help the user match the host PF to the 
> representor on the smart-NIC internal host and use the right representor 
> to config the required host function.

Insufficient information. There are many many hosts deployed with
multi-host NICs which do not need this sort of matching. I'm not
saying you don't have a use case. I'm saying you haven't explained it.

We exchanged so many emails on this topic, counting the emails with
Jiri. And you still haven't explained to me the use case. This is
ridiculous.